#include "stm32f0xx_hal.h"
void LCD_INIT(void);
void LCD4_BIT(unsigned char cmd_4BIT);
void nibble_cmd(unsigned char LCD_value);
void LCD_cmd(unsigned char cmd);
void nibble_data(unsigned char LCD_data);
void LCD_write(unsigned char data);
void LCD_write_string(unsigned char x, unsigned char y, unsigned char *str);
void LCD_Clear(void);
void LCD_Display_Right(void);
void LCD_Display_Left(void);
void build_pattern(void);
void LCD_build(unsigned char location ,unsigned char *ptr);
void LCD_write_custom(unsigned char x, unsigned char y, unsigned char custom_data);